package org.processmining.xeslite.external;

final class CompositeKey {

	private final long externalId;
	private final int attributeKey;

	public CompositeKey(long externalId, int attributeKey) {
		this.externalId = externalId;
		this.attributeKey = attributeKey;
	}

	public long getCompositeKey() {
		return externalId + attributeKey;
	}

	public int getAttributeKey() {
		return attributeKey;
	}

	public long getExternalId() {
		return externalId;
	}
	
	public static CompositeKey valueOf(long externalId, int attributeKey) {
		return new CompositeKey(externalId, attributeKey);
	}

}