package org.processmining.xeslite.query;

import java.util.Collection;

import org.deckfour.xes.model.XEvent;
import org.deckfour.xes.model.XLog;
import org.deckfour.xes.model.XTrace;
import org.deckfour.xes.model.impl.XAttributeMapImpl;
import org.deckfour.xes.model.impl.XLogImpl;

public final class XIndex {

	private XIndex() {
	}
	
	public static XIndexedLog newLog(XLog log) {
		return new XIndexedLogImpl(log);
	}
	
	public static XIndexedLog newLog(Collection<XTrace> traces) {
		if (traces instanceof XLog) {
			return new XIndexedLogImpl((XLog) traces);	
		} else {
			XLogImpl logWrapper = new XLogImpl(new XAttributeMapImpl());
			logWrapper.addAll(traces);
			return new XIndexedLogImpl(logWrapper);	
		}
	}
	
	public static XIndexedTraces newTraces(Collection<XTrace> traces) {
		return new XIndexedTracesImpl(traces);
	}
	
	public static XIndexedEvents newEvents(Collection<XEvent> events) {
		return new XIndexedEventsImpl(events);
	}

}
